Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class DefaultFolderType

    java.lang.Object
      com.compoze.exchange.DefaultFolderType

All Implemented Interfaces:
  java.io.Serializable

public class DefaultFolderType
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'default folder type'. The internationalizable string values are stored in the `exchange_resources.properties` file (accessed through `ExchangeProperties`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static DefaultFolderType` | `CALENDAR` This value represents the 'calendar' folder.
`static DefaultFolderType` | `CONTACTS` This value represents the 'contacts' folder.
`static DefaultFolderType` | `DELETED_ITEMS` This value represents the 'deleted items' folder.
`static DefaultFolderType` | `DRAFTS` This value represents the 'drafts' folder.
`static DefaultFolderType` | `INBOX` This value represents the 'inbox' folder.
`static DefaultFolderType` | `JOURNAL` This value represents the 'journal' folder.
`static DefaultFolderType` | `NOTES` This value represents the 'notes' folder.
`static DefaultFolderType` | `OUTBOX` This value represents the 'outbox' folder.
`static DefaultFolderType` | `ROOT` This value represents the 'root' folder.
`static DefaultFolderType` | `SENT_ITEMS` This value represents the 'sent items' folder.
`static int` | `STORE_VALUE_CALENDAR` This value represents the 'calendar' store value.
`static int` | `STORE_VALUE_CONTACTS` This value represents the 'contacts' store value.
`static int` | `STORE_VALUE_DELETED_ITEMS` This value represents the 'deleted items' store value.
`static int` | `STORE_VALUE_DRAFTS` This value represents the 'drafts' store value.
`static int` | `STORE_VALUE_INBOX` This value represents the 'inbox' store value.
`static int` | `STORE_VALUE_JOURNAL` This value represents the 'journal' store value.
`static int` | `STORE_VALUE_NOTES` This value represents the 'notes' store value.
`static int` | `STORE_VALUE_OUTBOX` This value represents the 'outbox' store value.
`static int` | `STORE_VALUE_ROOT` This value represents the 'root' store value.
`static int` | `STORE_VALUE_SENT_ITEMS` This value represents the 'sent items' store value.
`static int` | `STORE_VALUE_TASKS` This value represents the 'tasks' store value.
`static DefaultFolderType` | `TASKS` This value represents the 'tasks' folder.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static DefaultFolderType` | `get(int iStoreValue)` Gets the default folder type by its store value.
`static DefaultFolderType` | `get(java.lang.String sName)` Gets the default folder type by the name in the system default locale.
`static java.util.List` | `getList()` Gets the list of default folder types.
`java.lang.String` | `getName()` Gets the name of the default folder type using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the default folder type using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the default folder type in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE_VALUE_ROOT

    public static final int STORE_VALUE_ROOT

  This value represents the 'root' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_CALENDAR

    public static final int STORE_VALUE_CALENDAR

  This value represents the 'calendar' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_INBOX

    public static final int STORE_VALUE_INBOX

  This value represents the 'inbox' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_OUTBOX

    public static final int STORE_VALUE_OUTBOX

  This value represents the 'outbox' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_SENT_ITEMS

    public static final int STORE_VALUE_SENT_ITEMS

  This value represents the 'sent items' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_DELETED_ITEMS

    public static final int STORE_VALUE_DELETED_ITEMS

  This value represents the 'deleted items' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_CONTACTS

    public static final int STORE_VALUE_CONTACTS

  This value represents the 'contacts' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_JOURNAL

    public static final int STORE_VALUE_JOURNAL

  This value represents the 'journal' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_NOTES

    public static final int STORE_VALUE_NOTES

  This value represents the 'notes' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_TASKS

    public static final int STORE_VALUE_TASKS

  This value represents the 'tasks' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_DRAFTS

    public static final int STORE_VALUE_DRAFTS

  This value represents the 'drafts' store value.

  See Also:
    Constant Field Values

### ROOT

    public static final DefaultFolderType ROOT

  This value represents the 'root' folder.

### CALENDAR

    public static final DefaultFolderType CALENDAR

  This value represents the 'calendar' folder.

### INBOX

    public static final DefaultFolderType INBOX

  This value represents the 'inbox' folder.

### OUTBOX

    public static final DefaultFolderType OUTBOX

  This value represents the 'outbox' folder.

### SENT_ITEMS

    public static final DefaultFolderType SENT_ITEMS

  This value represents the 'sent items' folder.

### DELETED_ITEMS

    public static final DefaultFolderType DELETED_ITEMS

  This value represents the 'deleted items' folder.

### CONTACTS

    public static final DefaultFolderType CONTACTS

  This value represents the 'contacts' folder.

### JOURNAL

    public static final DefaultFolderType JOURNAL

  This value represents the 'journal' folder.

### NOTES

    public static final DefaultFolderType NOTES

  This value represents the 'notes' folder.

### TASKS

    public static final DefaultFolderType TASKS

  This value represents the 'tasks' folder.

### DRAFTS

    public static final DefaultFolderType DRAFTS

  This value represents the 'drafts' folder.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the default folder type using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the default folder type using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the default folder type in the storage system.

  Returns:
    the store value

### get

    public static DefaultFolderType get(int iStoreValue)

  Gets the default folder type by its store value.

  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching default folder type or `null` if not found

### get

    public static DefaultFolderType get(java.lang.String sName)

  Gets the default folder type by the name in the system default locale.

  Parameters:
    `sName` - the name in the system default locale
  Returns:
    the matching default folder type or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of default folder types.

  Returns:
    the list of `DefaultFolderType`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.